Package ghidra.app.decompiler.component

# Class ClangFieldElement

java.lang.Object
docking.widgets.fieldpanel.field.AbstractTextFieldElement
ghidra.app.decompiler.component.ClangFieldElement

All Implemented Interfaces:
  `FieldElement`

public class ClangFieldElement extends AbstractTextFieldElement

- ## Field Summary

  ### Fields inherited from class docking.widgets.fieldpanel.field.AbstractTextFieldElement

  `attributedString, column, row`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClangFieldElement(ClangToken token, AttributedString as, int col)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `paint(JComponent c, Graphics g, int x, int y)`
  Paints the text contained in this field element at the given x,y screen coordinate using the given Graphics object.
  `FieldElement`
  `replaceAll(char[] targets, char replacement)`
  Returns a new FieldElement with all occurrences of the target characters replaced with the given replacement character.
  `FieldElement`
  `substring(int start, int end)`
  Returns a new FieldElement containing just the characters beginning at the given start index (inclusive) and ending at the given end index (exclusive).

  ### Methods inherited from class docking.widgets.fieldpanel.field.AbstractTextFieldElement

  `charAt, getCharacterIndexForDataLocation, getColor, getDataLocationForCharacterIndex, getFieldElement, getHeightAbove, getHeightBelow, getMaxCharactersForWidth, getStringWidth, getText, length, substring, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClangFieldElement

    public ClangFieldElement(ClangToken token, AttributedString as, int col)

- ## Method Details

  - ### paint

    public void paint(JComponent c, Graphics g, int x, int y)
    Description copied from interface: `FieldElement`
    Paints the text contained in this field element at the given x,y screen coordinate using the given Graphics object.
    Specified by:
      `paint` in interface `FieldElement`
    Overrides:
      `paint` in class `AbstractTextFieldElement`
    Parameters:
      `c` - the component being painted.
      `g` - the Graphics object used to paint the field text.
      `x` - the horizontal screen position to paint
      `y` - the vertical screen position to paint.

  - ### substring

    public FieldElement substring(int start, int end)
    Description copied from interface: `FieldElement`
    Returns a new FieldElement containing just the characters beginning at the given start index (inclusive) and ending at the given end index (exclusive).
    Parameters:
      `start` - The starting index (inclusive) from which to substring this element.
      `end` - The end index (exclusive) to which the substring will be performed.
    Returns:
      a new FieldElement containing just the characters beginning at the given index.

  - ### replaceAll

    public FieldElement replaceAll(char[] targets, char replacement)
    Description copied from interface: `FieldElement`
    Returns a new FieldElement with all occurrences of the target characters replaced with the given replacement character.
    Parameters:
      `targets` - The array of characters to replace.
      `replacement` - The replacement character.
    Returns:
      a new FieldElement with all occurrences of the target characters replaced with the given replacement character.